Name:       sapconf
Version:    0.98
Release:    4%{?dist}
Summary:    Prepares a RHEL system for running SAP software

Group:      System Environment/Base
License:    GPLv2+
URL:        http://redhat.com/sap
Source0:    %{name}-%{version}.tar.bz2

Patch0:     sapconf-activate-sap-netwear-tuned-profile.patch

BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:  noarch

Requires:   /bin/bash
# Require tuned versions that include an SAP profile
%if ! 0%{?rhel} || 0%{?rhel} >= 7
# RHEL >= 7
Requires:   tuned > 2.2.2
%else
# RHEL 6
Requires:   tuned >= 0.2.19-13
%endif
Requires:   tuned-profiles-sap
Requires:   uuidd
Requires:   dmidecode

%description
This package contains a script that checks and/or modifies a RHEL base
install according to SAP requirements, e.g. kernel parameters, packages etc.,
as documented in SAP Note 1496410 "Red Hat Enterprise Linux 6.x: Installation
and Upgrade".

%prep
%setup -q

%patch0 -p1 -b activate-sap-netwear-tuned-profile

%build


%install
rm -rf %buildroot
make DESTDIR="%buildroot" install

%clean
rm -rf %buildroot


%files
%defattr(-,root,root,-)
%{_bindir}/sapconf
%{_mandir}/man8/sapconf.8.gz

%doc COPYING README

%changelog
* Thu Nov 06 2014 Jan Grulich <jgrulich@redhat.com> - 0.98-4
- add missing tuned-profiles-sap dependency
  resolves: bz#1158902

* Thu Oct 30 2014 Jan Grulich <jgrulich@redhat.com> - 0.98-3
- activate SAP NetWeaver tuned profile (#1158902)

* Thu Apr 17 2014 Jan Grulich <jgrulich@redhat.com> - 0.98-2
- use a better way how to restore permissions for /etc/hosts (bz#1083651)

* Tue Apr 15 2014 Jan Grulich <jgrulich@redhat.com> - 0.98-1
- add Man-Page
- correctly detect VMware virtual guest
- do not write to /etc/security/limits.conf directly
- correctly edit /etc/hosts

* Fri Aug 09 2013 Nils Philippsen <nils@redhat.com> - 0.97-1
- use correct mktemp path

* Fri Aug 09 2013 Nils Philippsen <nils@redhat.com> - 0.96-1
- don't use gethostip

* Thu Aug 08 2013 Nils Philippsen <nils@redhat.com> - 0.95-1
- ignore whitespace and empty lines when checking /etc/hosts
- use mktemp to create temporary host file
- add release numbers to changelog entries

* Tue Aug 06 2013 Nils Philippsen <nils@redhat.com> - 0.94-1
- don't use unquoted macros in changelog
- package license text

* Tue Jul 30 2013 Nils Philippsen <nils@redhat.com> - 0.93-1
- remove obsolete tuned patch
- fix changelog dates
- require specific tuned version, prep for upcoming RHEL versions
- clean up script header
- don't mess around with SELinux settings, just report
- use bzipped tarball

* Mon Jul 22 2013 Frank Danapfel <fdanapfe@redhat.com> - 0.93
- replaced vhostmd with vm-dump-metrics for KVM guest installs
- re-added function to set user/process limits
- changed check_ntp to only check if ntpd is running

* Tue Jul 09 2013 Frank Danapfel <fdanapfe@redhat.com> - 0.93
- removed /etc/init.d/sapconf service, since this is now done via tuned
- cleaned up requirements section in spec file
- added changelog to spec file

* Mon Nov 19 2012 Sherry Yu <syu@redhat.com> - 0.92
- Changed the name to sapconf
- Move kernel parameters to /etc/sysconfig/sap, other than /etc/sysctl.conf
- Add /etc/rc.d/init.d/sapconf and S99sapconf links in /etc/rc2.d, /etc/rc3.d,
  and /etc/rc5.d
- Removed check_utilrpms() and defined the util rpms as dependency in the rpm
  spec file
- Removed check_ibmjdk()

* Thu Oct 18 2012 Sherry Yu <syu@redhat.com> - 0.91
- Naming change from sap_prepare to sap-prepare
- Detailed log output
- In function virtrpms: for RHEV Hypervisor, recommend to check SAP Note
  1400911 for setting up host monitoring on RHEV
- New function check_utilrpms: install utility rpms used in the sap-prepare
  script, e.g. syslinux rpm for gethostid()
- Add one section Recommendations at the end of the log file, containing
  recommended changes that have to be carried out manually
- Add a Recommendations section at the end of the log file, for CHECK_ONLY
  mode, that contains the recommended settings
- Add command-line argument "-h" for Help Message
- Move java rpms to variable JAVARPMS, as IBM JDK becomes obsolete on Oct. 2012
- Add global variable VIRTRPMS
- Remove [-f config] argument in usage - recommended configurations are not to
  be changed
- In check_fqdn: keep the backup file as
  /etc/sysconfig/network.sap-prepare-<timestamp>
- In check_security add: if SELINUX=disabled in /etc/sysconfig/selinux, give
  recommendation to set it to Permissive. If SELINUX=permissive but getenforce
  returns 1, setenforce 0. For SELINUX=enforcing, to update the config file,
  keep backup file as /etc/sysconfig/selinux.sap-prepare-<timestamp>; if
  CHECK_ONLY==1, give recommendations
- Split check_rhn into check_rhn, check_rpms, check_ibmjdk, and check_links
- Add a variable SAP_NOTE_RHEL6
- Remove check_users which is not used to keep the script clean
- Remove variable VERBOSE
- Rename prepare_environment to check_env, to be consistent with the naming
  convention
- Move the code of setting kernel parameters from main body to check_env
- Add SYB_VARS
- In check_env add the setting of kernel parameters for Sybase
- In check_ntp ntpdate is removed as ntpd is preferred
- Remove update_limits_conf because it's no longer needed in RHEL6

* Thu Oct 04 2012 Markus Koch <mkoch@redhat.com> - 0.9
- included config file in script, -d database option added, ntp check,  hosts
  check implemented

* Wed Oct 03 2012 Markus Koch <mkoch@redhat.com> - 0.8
- package renamed to sapprepare, vhostmd und logging added

* Wed Apr 18 2012 Frank Danapfel <fdanapfe@redhat.com> - 0.6
- bug fixes

* Tue Feb 21 2012 Markus Koch <mkoch@redhat.com> - 0.5
- initial working release

